Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#6 error on reloading plugins

closed
None
5
2014-08-25
2005-02-13
Lord_D
No

Hey.

Mabye this is a bug in metamod ?
I noticed some times on map change on our CS server
when metamod ( 1.7.3 ) updates plugins this happens :

normaly :

L 02/12/2005 - 05:24:46: [META] ini: Begin re-reading
plugins
list: /home/servere/gameservere/ac3/cstrike/addons/met
amod/plugins.ini
L 02/12/2005 - 05:24:46: [META] ini: Read plugin config
for: HLGuard
L 02/12/2005 - 05:24:46: [META] ini: Read plugin config
for: AMX Mod X
L 02/12/2005 - 05:24:46: [META] ini: Finished reading
plugins
list: /home/servere/gameservere/ac3/cstrike/addons/met
amod/plugins.ini; Found 2 plugins
L 02/12/2005 - 05:24:46: [META] dll: Updating plugins...
L 02/12/2005 - 05:24:46: [META] dll: Finished updating
2 plugins; kept 2, loaded 0, unloaded 0, reloaded 0,
delayed 0

sometims 1-2 a day :

L 02/12/2005 - 08:04:11: [META] ini: Begin re-reading
plugins
list: /home/servere/gameservere/ac3/cstrike/addons/met
amod/plugins.ini
L 02/12/2005 - 08:04:11: [META] ini: Read plugin config
for: HLGuard
L 02/12/2005 - 08:04:11: [META] ini: Read plugin config
for: AMX Mod X
L 02/12/2005 - 08:04:11: [META] ini: Finished reading
plugins
list: /home/servere/gameservere/ac3/cstrike/addons/met
amod/plugins.ini; Found 2 plugins
L 02/12/2005 - 08:04:11: [META] dll: Updating plugins...
L 02/12/2005 - 08:04:11: [META] dll: Unloaded
plugin 'HLGuard' for reason 'file on disk is newer'
L 02/12/2005 - 08:04:11: [HLGUARD] HLGuard 1.7 by
The Z Project
L 02/12/2005 - 08:04:11: [HLGUARD]
http://www.thezproject.org/
L 02/12/2005 - 08:04:11: [HLGUARD] Compiled: Jan 8
2005 20:22:59
L 02/12/2005 - 08:04:11: [META] dll: Loaded
plugin 'HLGuard': HLGuard v1.7 07/01/2004, The Z
Project
L 02/12/2005 - 08:04:11: [META] dll: Unloaded
plugin 'AMX Mod X' for reason 'file on disk is newer'
L 02/12/2005 - 08:04:11: [FUN] dev: called:
GiveFnptrsToDll
L 02/12/2005 - 08:04:11: [ENGINE] dev: called:
GiveFnptrsToDll
L 02/12/2005 - 08:04:11: [FAKEMETA] dev: called:
GiveFnptrsToDll
L 02/12/2005 - 08:04:11: [ARRAY] dev: called:
GiveFnptrsToDll
L 02/12/2005 - 08:04:11: [CSTRIKE] dev: called:
GiveFnptrsToDll
L 02/12/2005 - 08:04:11: [CSX] dev: called:
GiveFnptrsToDll
L 02/12/2005 - 08:04:11: [META] dll: Loaded
plugin 'AMX Mod X': AMX Mod X v1.00 Nov 15 2004,
AMX Mod X Dev Team
L 02/12/2005 - 08:04:11: [META] dll: Finished updating
2 plugins; kept 0, loaded 0, unloaded 0, reloaded 2,
delayed 0

after that , the stats in AMX Mod X dont work any
more , its like it dont log any more.

Discussion

  • Lord_D
    Lord_D
    2005-02-13

    Logged In: YES
    user_id=1217853

    its metamod 1.17.3 ofcause :D

     
  • Logged In: YES
    user_id=169860

    If AMX Mod X doesn't log anymore after getting reloaded that
    doesn't usually point to a Metamod bug but rather an AMX Mod
    X bug. Have you talked to the AMX Mod X people about it yet?

    Metamod reloads you plugins because it thinks that the file
    on disk is newer than the copy it holds in memory. This
    enables you to update a plugin on-the-fly. If you did not
    change your plugins but somehow the date of the file on disk
    changed that may be caused by some backup- or tripwire- or
    restore-software.

    I'm assigning this to Bailopan since he is also the lead of
    AMX Mod X.

     
    • assigned_to: nobody --> bailopan
     
  • David Anderson
    David Anderson
    2005-02-19

    Logged In: YES
    user_id=589889

    What's your metamod plugins.ini and AMX Mod X modules.ini
    look like? Also show your core.ini.
    Also, try putting amxmodx as the _first metamod plugin in
    the plugins.ini list.

    Somehow, everything's being reloaded, and it doesn't look
    like it's amxmodx's fault necessarily. The module errors
    come from the modules being reloaded, which is something
    Metamod is doing to all of the plugins.

     
  • Lord_D
    Lord_D
    2005-02-19

    Logged In: YES
    user_id=1217853

    Metamod plugin.ini :
    linux addons/hlguard/dlls/hlguard_mm_i686.so
    linux addons/amxmodx/dlls/amxmodx_mm_i386.so

    AmxmodX modules.ini :
    fun_amxx_i386.so
    engine_amxx_i386.so
    fakemeta_amxx_i386.so
    array_amxx_i386.so
    sockets_amxx_i386.so
    regex_amxx_i386.so
    cstrike_amxx_i386.so
    csx_amxx_i386.so

    the core.ini must i follow up on , because it a rented server
    and i dont se it listet in my kontrolpanel.

    I will try putting amxmodx first in plugin.ini

    And i think darope is right about the backup thing , because
    it happens about same time every day , about 8:05 to 8:25 in
    the morning , the first mapchange after 8:00

    The firm where i rended the server dont know whats wrong.

    The reson i think AmxmodX is stop logging is because what i
    see in the logfiles.
    in the logs it looks like this :

    when it works and a player disconnect :
    L 02/12/2005 - 18:00:30: "OsTfRi3s3
    xD<45><STEAM_0:0:6700313><CT>" triggered "weaponstats"
    (weapon "usp") (shots "5") (hits "0") (kills "0") (headshots "0")
    (tks "0") (damage "0") (deaths "1")
    L 02/12/2005 - 18:00:30: "OsTfRi3s3
    xD<45><STEAM_0:0:6700313><CT>"
    triggered "weaponstats2" (weapon "usp") (head "0")
    (chest "0") (stomach "0") (leftarm "0") (rightarm "0")
    (leftleg "0") (rightleg "0")
    L 02/12/2005 - 18:00:30: "OsTfRi3s3
    xD<45><STEAM_0:0:6700313><CT>" triggered "weaponstats"
    (weapon "deagle") (shots "14") (hits "1") (kills "0")
    (headshots "0") (tks "0") (damage "27") (deaths "2")
    L 02/12/2005 - 18:00:30: "OsTfRi3s3
    xD<45><STEAM_0:0:6700313><CT>"
    triggered "weaponstats2" (weapon "deagle") (head "0")
    (chest "0") (stomach "0") (leftarm "1") (rightarm "0")
    (leftleg "0") (rightleg "0")
    L 02/12/2005 - 18:00:30: "OsTfRi3s3
    xD<45><STEAM_0:0:6700313><CT>" triggered "time"
    (time "3:43")
    L 02/12/2005 - 18:00:30: "OsTfRi3s3
    xD<45><STEAM_0:0:6700313><CT>" triggered "latency"
    (ping "67")
    L 02/12/2005 - 18:00:30: "OsTfRi3s3
    xD<45><STEAM_0:0:6700313><CT>" disconnected

    when it dont work :
    L 02/19/2005 - 22:33:58: "?
    <605><STEAM_0:0:1012223><TERRORIST>"
    triggered "weaponstats" (weapon "") (shots "6") (hits "0")
    (kills "0") (headshots "0") (tks "0") (damage "0") (deaths "0")
    L 02/19/2005 - 22:33:58: "?
    <605><STEAM_0:0:1012223><TERRORIST>"
    triggered "weaponstats2" (weapon "") (head "0") (chest "0")
    (stomach "0") (leftarm "0") (rightarm "0") (leftleg "0")
    (rightleg "0")
    L 02/19/2005 - 22:33:58: "?
    <605><STEAM_0:0:1012223><TERRORIST>" triggered "time"
    (time "33:29")
    L 02/19/2005 - 22:33:58: "?
    <605><STEAM_0:0:1012223><TERRORIST>"
    triggered "latency" (ping "13")
    L 02/19/2005 - 22:33:58: "?
    <605><STEAM_0:0:1012223><TERRORIST>" disconnected

     
  • Logged In: YES
    user_id=169860

    It might be your gameserver host making sure that the plugin
    binaries go unhampered with / working by replacing them with
    a fresh copy every 24 hours. Normally this would be done
    with a backup software or a script which preserves the
    original date on the files and thereby preventing Metamod
    from thinking it has to reload them. Unless the intention is
    to use the updated date to run some kind of checks on the
    files, although that looks pointless to me in the given setup.

    In any case, Metamod reloading the plugins every day is not
    a problem by itself. It doesn't hurt as long as the plugins
    play along nicely and show correct behaviour when getting
    reloaded.

    It might be that AMX Mod X has some problem losing state
    when getting reloaded, but this is me speculating since I
    don't know AMX Mod X as Bailopan does.

    The curios thing though is that the normal server logging
    seems to be affected, too. Or is that all AMX Mod X logging
    output?

     
    • status: open --> pending
     
    • status: pending --> closed
     
  • Logged In: YES
    user_id=1312539

    This Tracker item was closed automatically by the system. It was
    previously set to a Pending status, and the original submitter
    did not respond within 14 days (the time period specified by
    the administrator of this Tracker).